(use-package php-mode)

(use-package ac-php
  :config
  (add-hook 'mmm-mode-hook
            '(lambda ()
               (auto-complete-mode t)
               (require 'ac-php)
               (setq ac-sources  '(ac-source-php ))
               (setq ac-sources  '(ac-source-dictionary ac-source-abbrev ac-source-php ))

               (ac-php-core-eldoc-setup ) ;; enable eldoc
               (define-key php-mode-map  (kbd "C-]") 'ac-php-find-symbol-at-point)   ;; goto define
               (define-key php-mode-map  (kbd "C-t") 'ac-php-location-stack-back)))  ;; go back

)

(provide 'init-php)
